Authorization with Contact EMV and Online PIN
This section provides the information needed to process an authorization with contact EMV and an online PIN.
For an EMV chip contact authorization, the customer inserts the card directly into a point-of-sale (POS) terminal. For an online PIN authorization, the customer enters a PIN to verify their identity, and the issuer verifies the PIN.
Online PIN transactions are supported by these card types:
- American Express
- Discover
- Mastercard
- Visa
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "clientReferenceInformation": { "code": "test123" }, "processingInformation": { "capture": false, "commerceIndicator": "retail" }, "paymentInformation": { "card": { "number": "4xxxxxxxxxxx1111", "expirationMonth": "12", "expirationYear": "2026", "type": "001" } }, "orderInformation": { "amountDetails": { "totalAmount": "9990.00", "currency": "BRL" }, "billTo": { "firstName": "Júlia", "lastName": "Fernández", "address1": "R. Augusta Æ", "address2": "ßloco 01", "locality": "Sáo Paulo", "administrativeArea": "SP", "postalCode": "01310-000", "country": "BR", "email": "[email protected]", "phoneNumber": "999-999-9999", "buildingNumber": "1024 Metrño4", "district": "Bela Vista Æ" } }, "pointOfSaleInformation": { "terminalCapability": 4, "entryMode": "contact", "cardPresent": true, "pinEntryCapability": 6, "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES^3112101976110000868000000;4xxxxxxxxxxx1111=31121019761186800000?", "emv": { "tags": "9F1E0830303131323233339F02060000000009009C01009A030608025F2A0209789F1A0204849F260856BF299472BDB0C82025C009F360245679F370412135414950540800080009F102006011A03900000112233445566778899AABBCCDD0390000011223344556677889F5301039F41030122339F03060001020304058407A00000000410109F2701809F34035E03009F090243219F3501059F3303E0B8C89110001122334455667788010203040506079F5B1000112233445566778801020304050607", "cardSequenceNumber": "01", "cardholderVerificationMethodUsed": "2" }, "pin": { "keySerialNumber": "FFFF1B1D140000200001", "blockEncodingFormat": "0", "encryptedPin": "F509429A3C3FD201" }, "transactionDateTime": "20230724085022" }, "merchantDefinedInformation": [ { "key": "merchant_transaction_identifier", "value": "uniqueValue1006" }, { "key": "third_party_certification_number", "value": "testTPCN" } ], "senderInformation": { "referenceNumber": "ms_user" }}{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/7627846224096435203093/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/7627846224096435203093" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/7627846224096435203093/captures" } }, "clientReferenceInformation" : { "code" : "test123" }, "id" : "7627846224096435203093", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "9990.00", "currency" : "BRL" } }, "paymentAccountInformation" : { "card" : { "type" : "001" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "001" }, "card" : { "type" : "001" } }, "processorInformation" : { "approvalCode" : "010012", "networkTransactionId" : "999010012", "transactionId" : "72b2900a9f316142b627a21031b48b0c259f08ffba0004172a04450c5d212345", "responseCode" : "00003", "avs" : { "code" : "2" } }, "reconciliationId" : "7627846224096435203093", "status" : "AUTHORIZED", "submitTimeUtc" : "2025-11-10T14:23:42Z"}| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
merchantDefinedInformation.key | ||
merchantDefinedInformation.value | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
paymentInformation.card.expirationMonth | ||
paymentInformation.card.expirationYear | ||
paymentInformation.card.number | ||
paymentInformation.card.type | ||
pointOfSaleInformation.cardPresent | Set to true. | |
pointOfSaleInformation.emv.cardSequenceNumber | ||
pointOfSaleInformation.emv.cardholderVerificationMethodUsed | ||
pointOfSaleInformation.emv.tags | ||
pointOfSaleInformation.entryMode | Set to contact. | |
pointOfSaleInformation.pin.blockEncodingFormat | ||
pointOfSaleInformation.pin.encryptedPin | ||
pointOfSaleInformation.pin.keySerialNumber | ||
pointOfSaleInformation.pinEntryCapability | ||
pointOfSaleInformation.terminalCapability | ||
pointOfSaleInformation.trackData | ||
pointOfSaleInformation.transactionDateTime | ||
processingInformation.capture | Set to false. | |
processingInformation.commerceIndicator | ||
senderInformation.referenceNumber |
Optional Fields
| Field | Type | Description |
|---|---|---|
orderInformation.billTo.address1 | ||
orderInformation.billTo.administrativeArea | ||
orderInformation.billTo.buildingNumber | ||
orderInformation.billTo.country | ||
orderInformation.billTo.district | ||
orderInformation.billTo.email | ||
orderInformation.billTo.firstName | ||
orderInformation.billTo.lastName | ||
orderInformation.billTo.locality | ||
orderInformation.billTo.phoneNumber | ||
orderInformation.billTo.postalCode |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026